Name:           perl-Safe-Isa
Version:        1.000008
Release:        1%{?dist}
Summary:        Call isa, can, does and DOES safely on things that may not be objects
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Safe-Isa/
Source0:        http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/Safe-Isa-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
# Module
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(Test::More) >= 0.82
# Dependencies
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module allows you to call isa, can, does and DOES safely on things that
may not be objects, without the risk of crashing.

%prep
%setup -q -n Safe-Isa-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Safe/
%{_mandir}/man3/Safe::Isa.3*

%changelog
* Tue Oct  3 2017 Paul Howarth <paul@city-fan.org> - 1.000008-1
- Update to 1.000008
  - Fix scalar/list context handling for $_call_if_can

* Mon Sep 25 2017 Paul Howarth <paul@city-fan.org> - 1.000007-1
- Update to 1.000007
  - Added new interface: $obj->$_call_if_can
- This release by ETHER → update source URL
- Drop EL-5 support
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000006-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.000006-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000006-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov  1 2016 Paul Howarth <paul@city-fan.org> - 1.000006-1
- Update to 1.000006
  - Now falling back to $obj->isa if DOES/does is not implemented on the
    object, to avoid fatal errors on perls too old to have their own DOES
    (CPAN RT#100866)
- This release by HAARG → update source URL
- Clarify %%description
- Simplify find command using -delete

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.000005-6
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.000005-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000005-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.000005-3
- Perl 5.22 rebuild

* Tue Oct 14 2014 Paul Howarth <paul@city-fan.org> - 1.000005-2
- Add legacy spec file elements for EPEL-5 compatibility

* Tue Oct 14 2014 Paul Howarth <paul@city-fan.org> - 1.000005-1
- Update to 1.000005
  - Fixed slightly mangled metadata from last release
  - Comment blessed use so people who don't know perl stop trying to break it
  - Add link to lightning talk given at YAPC::NA 2013
- Classify buildreqs by usage
- Make %%files list more explicit

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.000003-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000003-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000003-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.000003-2
- Perl 5.18 rebuild

* Fri Apr 19 2013 Iain Arnell <iarnell@gmail.com> 1.000003-1
- update to latest upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000002-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 08 2012 Iain Arnell <iarnell@gmail.com> 1.000002-1
- Specfile autogenerated by cpanspec 1.79.
